package com.ruov.common.base;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.io.Serializable;
import java.util.List;

public interface RService<D extends REntity.Dto, V extends REntity.Vo, P> extends IService<P> {
    Page<V> listData(D query);

    boolean inertOrUpdate(D data);

    boolean delBatch(List<? extends Serializable> id);

    void export(D query);
}
